ListTeams
/api/v1/teamsList teams or search for teams by member or owner.
Example request
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://us.oblique.security/api/v1/teams"Set OBLIQUE_API_KEY to your API key.
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://eu.oblique.security/api/v1/teams"Set OBLIQUE_API_KEY to your API key.
Query parameters
pageSizeinteger (int32)The maximum number of teams to return. This service may return fewer than this value.
pageTokenstringA page token, received from a previous
ListTeamscall.showDeletedbooleanIf true, include deleted teams in the response.
filterstringFilter that can be used to search for teams. Supports filter by owner:
owner="users/{id}",owner="users/me"- For users this includes transitive ownerships via another team or group.owner="teams/{id}"owner="groups/{id}"
Or by team member:
member="users/{id}"member="users/me"- also supports the current user’s teams.
Or by display name, with support for
*wildcards and the case-insensitive~=comparator:displayName = "Platform Team"// Matches "Platform Team" and "Platform Engineering"displayName = "Platform *"// Case-insensitive, matches "Platform Team" and "platform eng"displayName ~= "platform *"displayName = "Platform *" OR displayName ~= "security *"Display name filters can’t be combined with owner or member filters.
Response
200ListTeamsResponseteamsTeam[]The teams managed by this server.
namestringAssigned by Oblique.
displayNamestringrequiredDisplayed name of the team.
descriptionstringLonger description.
managementManagementHow this team is managed. Set automatically by the server based on the calling client. Omitted from responses when the team is manually managed (the default).
managerstringHow the resource is managed. Set automatically by the server based on the caller: Terraform clients produce TERRAFORM; for all other clients the management field is left unset on the response.
repoUristringURI of the VCS repository that holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.
repoDirstringOptionally, the subdirectory within
repo_urithat holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.
createTimestring (date-time)read-onlyCreate and update timestamps.
updateTimestring (date-time)read-onlydeleteTimestring (date-time)read-onlyTeams can only be soft-deleted to preserve logs and history.
memberCountinteger (int32)read-onlyThe number of members in the group.
resourceDescriptionstringIf Oblique is configured to create a resource for the team, this will be the description of that resource. If not provided, a default description will be used. This is only valid on creation events.
nextPageTokenstringA token, which can be sent as
page_tokento retrieve the next page.
Errors
| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |